/*
Theme Name: O que é SQF?
Theme URI: https://oqueesqf.com.br/
Description: Tema "O que é SQF?" by Wesley Pimentel @ Amplifica Digital
Author: Seu Nome
Author URI: https://wesleypimentel.com.br/
Template: hello-elementor
Version: 1.0
Text Domain: oqueesqf
*/

/* VARS */

:root {
  --sqf-cor-1: #815aa3;
  --sqf-cor-1-clr: #b79ddf;
  --sqf-cor-2: #00947e;
  --sqf-cor-2-clr: #00d4a4;
  --ptc-cor-1: #494481;
  --sqf-cor-1-rgb: 129, 90, 163;
  --sqf-cor-1-clr-rgb: 183, 157, 223;
  --sqf-cor-2-rgb: 0, 148, 126;
  --sqf-cor-2-clr-rgb: 0, 212, 164;
  --ptc-cor-1-rgb: 73, 68, 129;
}

/* BASIC */

html,
body {
  scroll-behavior: smooth;
  overflow-x: hidden;
  max-width: 100dvw;
}

.dashicons{
  font-family: 'dashicons' !important;
}


/* YOAST BREADCRUMB  */
.breadcrumb_last {
  display: none;
}
#breadcrumbs span {
  margin-left: 5px;
  margin-right: 5px;
}
#breadcrumbs span:first-child {
  margin-left: 0;
}



/* PRIVADO */

.privado {
  display: block;
  margin: 20px auto;
  border: 1px dashed;
  padding: 60px 20px;
  color: var(--sqf-cor-1);
  background-color: rgba(var(--sqf-cor-1-clr-rgb), 0.25);
  border-radius: 6px;
  text-align: center;
}
.privado a {
  font-weight: bold;
  color: inherit;
}

/* SEARCH */

body .elementor-search-form--skin-full_screen .elementor-search-form__container {
  padding-left: 0;
  padding-right: 0;
  display: flex;
  justify-content: center;
}
body .elementor-search-form--skin-full_screen .elementor-search-form__input {
  max-width: 450px;
}
body .elementor-search-form--skin-full_screen .dialog-close-button {
  right: 30px;
  top: 30px;
  font-size: 2em;
}

body .elementor-search-form__input {
  background-color: #fff !important;
  border-radius: 100px !important;
  color: inherit !important;
}

/* PDF PREVIEW  */
.pdf-preview {
  min-height: 100% !important;
}

/* FORMS / UR LOGIN */

input,
select,
textarea {
  border-radius: 6px !important;
  border-width: 2px !important;
  border-color: var(--e-global-color-primary) !important;
  padding: 10px !important;
  display: block;
  width: 100%;
}
input::placeholder,
select::placeholder,
textarea::placeholder {
  color: var(--e-global-color-primary) !important;
}

.ur-frontend-form {
  border: 0px;
}

#ur_register_pre_form_message {
  text-align: center;
  font-size: 1.2em;
  letter-spacing: 0;
  margin: 0;
  background-color: #fee;
  color: var(--wp--preset--color--vivid-red);
  padding: 30px;
  border-radius: 5px;
  border: 1px dashed;
}

.ur-message {
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.ur-message ul {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#login button,
#cadastro button,
#login input[type="submit"],
#cadastro input[type="submit"] {
  width: 100%;
  padding: 20px !important;
  font-size: 1.2em;
  height: auto;
}
.ur-field-item {
  margin-bottom: 10px !important;
}
.ur-field-item abbr {
  display: none;
}
input,
select {
  accent-color: var(--e-global-color-primary);
  min-height: 50px !important;
  margin: 0 !important;
}
input[type="checkbox"],
input[type="radio"] {
  width: 16px;
}
.field-checkbox {
  border: 2px solid #ddd;
  border-radius: 6px;
  padding: 0;
}
.field-checkbox .form-row {
  padding: 0;
}
.field-checkbox .form-row .ur-label {
  display: none !important;
}
.field-checkbox ul {
  padding: 0;
  margin: 0;
}
.field-checkbox .ur-checkbox-list {
  display: flex;
  margin: 0 !important;
  padding: 0 !important;
  gap: 10px;
  position: relative;
}
.field-checkbox .ur-checkbox-list input {
  margin: 0 15px !important;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}
.field-checkbox .ur-checkbox-list label {
  display: flex !important;
  align-items: center;
  margin: 0 !important;
  padding: 15px 15px 15px 42px !important;
  flex-grow: 1;
  cursor: pointer;
  user-select: none;
  font-size: 0.85em !important;
  min-height: 50px;
}
.ur-frontend-form .ur-form-row .ur-form-grid label,
.ur-frontend-form .ur-form-row .ur-form-grid legend {
  margin-top: 2px;
  margin-bottom: 0;
}
.ur-frontend-form .ur-form-row .ur-form-grid .user-registration-error {
  position: relative;
  padding: 10px;
  font-size: 0.8em;
  margin-top: -4px;
  margin-bottom: 10px;
  border-radius: 0 0 6px 6px;
  border-top-width: 4px;
}
.field-privacy_policy {
  border: 2px solid #ddd;
  border-radius: 6px;
  position: relative;
  letter-spacing: 0;
  overflow: hidden;
}
.field-privacy_policy > .form-row {
  margin: 0 !important;
  padding: 0 !important;
  user-select: none;
  padding: 15px;
  min-height: 50px;
  display: flex;
  align-items: center;
  gap: 20px;
  overflow: hidden;
}
.field-privacy_policy .checkbox {
  display: block;
  margin: 0 !important;
  padding: 15px !important;
  cursor: pointer;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  font-size: 0.85em !important;
}
.field-privacy_policy .checkbox .required {
  position: absolute;
  right: 0;
  margin: 5px 6px;
}
.field-privacy_policy .checkbox input {
  min-height: initial !important;
  padding: 0;
  height: 16px;
  line-height: 1em !important;
  position: absolute;
  top: 10px;
  left: 0;
  margin: 15px !important;
  transform: translateY(-50%);
  width: 16px !important;
}
.field-privacy_policy .description {
  margin-left: 42px !important;
  z-index: 2;
  pointer-events: none;
}
.field-privacy_policy .description a {
  pointer-events: auto;
  font-weight: bold;
}

/**-/
.ur-form-grid {
  display: flex;
  flex-wrap: wrap;
}
.ur-form-grid .ur-field-item {
  width: 100%;
  flex-basis: 100%;
  height: 50px;
}
.ur-form-grid [data-field-id="crm"] {
  flex-basis: calc(66.6% - 10px);
}
.ur-form-grid [data-field-id="crm_uf"] {
  flex-basis: 33.3%;
  margin-left: 10px;
}
/**/

.user-registration-password-strength {
  margin-top: -14px;
  margin-bottom: 10px;
  border-radius: 0 0 6px 6px;
  padding: 8px 10px 5px;
  font-size: 0.9em;
}

#user-registration {
  font-family: var(--e-global-typography-secondary-font-family);
  margin: 0;
  
  box-shadow: 0 0 0 2px #dee0e9, 0 0 0 15px #f0f1f533;
  border-radius: 6px;
  overflow: hidden;
}
#user-registration nav {
  font-family: inherit !important;
}
#user-registration nav ul a,
#user-registration nav li a {
  font-family: inherit !important;
  text-transform: uppercase;
  line-height: 1.2em;
  letter-spacing: 0;
}
#user-registration.vertical .user-registration-MyAccount-navigation {
  background: var(--e-global-color-716dc71);
}
#user-registration.vertical .user-registration-MyAccount-navigation ul .user-registration-MyAccount-navigation-link.is-active a {
  background-color: #fff;
}
#user-registration .user-registration-MyAccount-navigation ul .user-registration-MyAccount-navigation-link a,
#user-registration.horizontal .user-registration-MyAccount-navigation ul .user-registration-MyAccount-navigation-link a {
  padding-top: 25px;
  padding-bottom: 25px;
}
#user-registration.vertical .user-registration-MyAccount-navigation ul .user-registration-MyAccount-navigation-link.is-active a {
  border-color: var(--e-global-color-accent);
}
#user-registration .user-registration-MyAccount-content .ur-form-grid {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
#user-registration.vertical .user-registration-MyAccount-content {
  text-align: left;
}
input[type="submit"] {
  border: 0 !important;
  border-radius: 50px !important;
  padding-left: 30px !important;
  padding-right: 30px !important;
}
fieldset {
  border: none;
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
fieldset legend {
  margin-bottom: 30px !important;
}

.ur-frontend-form.login {
  padding: 30px;
}
.ur-frontend-form.login .ur-form-row span.input-wrapper .ur-icon {
  fill: currentcolor;
  color: inherit;
  margin-left: 2px;
  opacity: 0.6;
  font-size: 1.25em;
}
.ur-frontend-form.login .ur-form-grid {
  display: flex;
  flex-direction: column;
}
.ur-frontend-form.login .ur-form-grid > span {
  color: var(--e-global-color-primary);
  font-size: 2rem;
  letter-spacing: 0;
  margin-bottom: 20px;
}
.ur-frontend-form.login .user-registration-form-row {
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-bottom: 20px;
}
.ur-frontend-form.login .user-registration-form-row input {
  text-indent: 10px !important;
  font-weight: bold;
  font-size: 1.2rem;
}
.ur-frontend-form.login input[type="submit"],
.ur-frontend-form.login button {
  margin-bottom: 20px !important;
  height: auto !important;
}
.ur-frontend-form.login .user-registration-form__label-for-checkbox {
  display: flex !important;
  align-items: center;
  gap: 15px;
  padding: 0 15px;
  border: 2px solid #ddd;
  border-radius: 6px;
  cursor: pointer;
}
.user-registration-profile-header {
  align-items: flex-start !important;
}

.user-registration .btn-sair {
  background-color: var(--e-global-color-primary);
  color: var(--e-a-btn-color-invert);
  display: inline-flex;
  padding: 10px 30px;
  border-radius: 50px;
  text-transform: uppercase;
  font-size: .9rem;
  font-family: var(--e-global-typography-secondary-font-family);
}
.user-registration .btn-sair:hover,
.user-registration .btn-sair:focus {
  color: #FFF;
  opacity: .9;
}



/* Vídeos nativos / auto hospedados */

.wp-video {
  background-color: #222;
  margin: auto;
  width: 100% !important;
  padding: 10px 10px 5px;
  border-radius: 10px;
  box-shadow: 0 10px 30px 0 rgba(0, 0, 0, 0.1);
}
.wp-video:not(:last-child) {
  margin-bottom: 3em;
}
.wp-video .mejs-container {
  width: 100% !important;
  height: auto !important;
  margin: auto;
}
.wp-video .mejs-mediaelement {
  width: 100% !important;
  position: relative;
}
.wp-video video {
  width: 100% !important;
  height: auto !important;
  border-radius: 5px;
}

